commit:     f369815601768968bb802ecb5af49f6146d31dbc
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 23 21:19:50 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Nov 23 21:37:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3698156

dev-lua/luafilesystem: migrate to lua eclass

Closes: https://bugs.gentoo.org/752645
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 .../luafilesystem/luafilesystem-1.8.0-r100.ebuild  | 82 ++++++++++++++++++++++
 profiles/package.mask                              |  1 +
 2 files changed, 83 insertions(+)

diff --git a/dev-lua/luafilesystem/luafilesystem-1.8.0-r100.ebuild 
b/dev-lua/luafilesystem/luafilesystem-1.8.0-r100.ebuild
new file mode 100644
index 00000000000..a1e0b4c454b
--- /dev/null
+++ b/dev-lua/luafilesystem/luafilesystem-1.8.0-r100.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+
+inherit lua toolchain-funcs
+
+MY_PV=${PV//./_}
+
+DESCRIPTION="File System Library for the Lua programming language"
+HOMEPAGE="https://keplerproject.github.io/luafilesystem/";
+SRC_URI="https://github.com/keplerproject/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( ${RDEPEND} )
+"
+
+HTML_DOCS=( "doc/us/." )
+
+lua_src_prepare() {
+       cat > "config-${ELUA}" <<-EOF
+               CC=$(tc-getCC)
+               DESTDIR=${ED}
+               CFLAGS=${CFLAGS} $(lua_get_CFLAGS) -fPIC
+               LIB_OPTION=${LDFLAGS} -shared
+               LUA_LIBDIR=$(lua_get_cmod_dir)
+       EOF
+}
+
+src_prepare() {
+       default
+
+       lua_foreach_impl lua_src_prepare
+}
+
+lua_src_compile() {
+       # Clean project to compile it for every lua slot
+       emake clean
+
+       emake CONFIG="config-${ELUA}"
+
+       # Copy module to match the choosen LUA implementation
+       cp "src/lfs.so" "src/lfs-${ELUA}.so" || die
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+       LUA_CPATH="src/lfs-${ELUA}.so" ${ELUA} tests/test.lua || die
+}
+
+src_test() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       # Use correct module for the choosen LUA implementation
+       cp "src/lfs-${ELUA}.so" "src/lfs.so" || die
+
+       emake CONFIG="config-${ELUA}" install
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index 9ed5f31fe03..8499730db24 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -473,6 +473,7 @@ dev-lua/luacrypto
 >=dev-lua/luaevent-0.4.6-r100
 =dev-lua/luaexpat-1.3.0-r100
 =dev-lua/luaexpat-1.3.3-r100
+>=dev-lua/luafilesystem-1.8.0-r100
 >=dev-lua/luasec-0.9-r100
 >=dev-lua/luasocket-3.0_rc1_p20200328-r100
 >=dev-lua/lutok-0.4-r10

Reply via email to